/* #region @keyframes */
@keyframes fadeIn {
	from {
		opacity: 0;
		translate: -200px;
	}

	to {
		opacity: 1;
		translate: 0;
	}
}

/* #endregion */
/* #region @prefers-reduced-motion */
@media (prefers-reduced-motion: reduce) {
	*, *::before, *::after {
		animation-delay: 0s !important;
		animation-duration: 0s !important;
		scroll-behavior: auto !important;
		transition-delay: 0s !important;
		transition-duration: 0s !important;
	}
}

/* #endregion */
/* #region Elements */
*, *::before, *::after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

a {
	color: var(--blue500);
	display: inline-block;
	transition: var(--transition);
}

body {
	background-color: var(--blue900);
	color: var(--blue900);
	font-family: var(--font-sans);
	scroll-behavior: smooth;
}

h1, h2 {
	text-wrap: balance;
}

html {
	scroll-behavior: smooth;
	scrollbar-gutter: stable;
}

img {
	display: block;
	max-width: 100%;
}

li {
	font-size: var(--fz16);
	line-height: 1.3;
	margin-left: -16px;

	&:first-of-type {
		margin-top: var(--px12);
	}
}

p {
	font-size: var(--fz18);
	line-height: 1.5;
	text-wrap: pretty;

	+ p {
		margin-top: var(--px20);
	}
}

sup {
	font-size: var(--fz12);
}

ul {
	margin-left: var(--px32);
}

/* #endregion */
/* #region Global */
.btn {
	background-color: var(--blue500);
	border-radius: var(--radius);
	color: var(--blue900);
	font-size: var(--fz14);
	font-weight: 700;
	letter-spacing: var(--px02);
	padding: var(--px16) var(--px24);
	text-decoration: none;
	text-transform: uppercase;
	transition: var(--transition);

	&:hover {
		background-color: var(--blue300);
		color: var(--blue900);
	}
}

.content {
	margin-inline: auto;
	width: min(85%, var(--content-max-width, 1200px));
}

/* #endregion */
/* #region Nav */
.nav-grid {
	display: grid;
	gap: var(--px06);
	grid-auto-flow: column;
	justify-self: end;

	@media (width < 900px) {
		justify-self: center;
	}

	@media (width < 600px) {
		grid-auto-flow: row;
		text-align: center;
	}

	a {
		border-radius: var(--radius);
		color: var(--blue900);
		font-size: var(--fz18);
		font-weight: 700;
		letter-spacing: var(--px01);
		padding: var(--px12) var(--px20);
		text-decoration: none;
		text-transform: uppercase;
		white-space: nowrap;

		&:hover {
			background-color: var(--blue300);
		}
	}
}

/* #endregion */
/* #region Header */
.header {
	background-color: var(--white-90);
	border-bottom: var(--px01) solid var(--blue900-10);
	color: white;
	padding-block: var(--px16);
}

.header-grid {
	align-items: center;
	display: grid;
	gap: var(--px16);
	grid-template-columns: auto 1fr;

	@media (width < 900px) {
		grid-template-columns: auto;
	}

	.logo img {
		margin-inline: auto;
		width: 200px;
	}
}

/* #endregion */
/* #region Footer */
.footer {
	background: linear-gradient(to bottom, var(--blue900-70), var(--blue900)), url("https://ripcord.sirv.com/FiveStones/iStock-472467680.jpg") center/cover;
	color: var(--white-90);
	line-height: 1.5;
	padding-block: var(--px96);
	text-align: center;

	a {
		display: block;
		margin-inline: auto;
		text-decoration: none;
		width: max-content;
	}

	.btn {
		margin-top: var(--px32);
	}
}

.footer-grid {
	display: grid;
	gap: var(--px16) var(--px48);
	grid-template-columns: repeat(3, auto);
	justify-content: center;
	margin-block: var(--px16);

	@media (width < 600px) {
		grid-template-columns: auto;
	}
}

/* #endregion */
/* #region Hero */
.hero {
	background: linear-gradient(to bottom, var(--blue900-30), var(--blue900-70)), url("https://ripcord.sirv.com/FiveStones/iStock-472467680.jpg") center/cover fixed;
	color: white;
	font-size: var(--fz20);
	padding-block: 15vh 20vh;
	text-align: center;

	@media (width < 1300px) {
		background-attachment: scroll;
	}

	@media (width < 900px) {
		padding-top: 10vh;
	}
}

.hero-box {
	background-color: var(--blue900-70);
	border-radius: var(--radius-lg);
	padding: var(--px48);

	@media (width < 600px) {
		padding: var(--px32);
	}

	h1 {
		font-family: var(--font-serif);
		font-size: var(--fz48);
		font-weight: 400;
		line-height: 1.1;
		margin-bottom: var(--px16);
	}

	p {
		font-size: var(--fz20);
		margin: 0 auto var(--px32);
		max-width: 70ch;
	}

	.btn {
		font-size: var(--fz12);
		margin-top: var(--px48);
	}
}

.hero-list-grid {
	color: white;
	display: grid;
	gap: var(--px24) var(--px32);
	grid-auto-flow: column;
	justify-content: center;
	margin: 0;
	padding: var(--px16) var(--px08);

	@media (width < 900px) {
		grid-auto-flow: row;
	}

	li {
		font-size: var(--fz14);
		font-weight: 700;
		letter-spacing: var(--px01);
		list-style: none;
		margin: 0;
		text-transform: uppercase;
	}
}

/* #endregion */
/* #region Home-Timeline */
.home-timeline {
	background: linear-gradient(to bottom, var(--white-90), var(--white-90)), url("https://ripcord.sirv.com/FiveStones/shutterstock_2396443.jpg?hue=-100") center/cover fixed;
	padding-block: var(--px96);

	@media (width < 1300px) {
		background-attachment: scroll;
	}

	h2 {
		font-size: var(--fz32);
		font-weight: 700;
		margin-bottom: var(--px48);
		text-align: center;
	}
}

.home-timeline-animation {
	font-size: var(--fz18);
	margin-inline: auto;
	width: 50%;

	@media (width < 900px) {
		width: 80%;
	}

	div {
		animation: fadeIn 1s ease-in-out both;
		margin-bottom: var(--px32);

		&:nth-of-type(1) {
			animation-delay: 5s;
		}

		&:nth-of-type(2) {
			animation-delay: 4s;
		}

		&:nth-of-type(3) {
			animation-delay: 3s;
		}

		&:nth-of-type(4) {
			animation-delay: 2s;
		}

		&:nth-of-type(5) {
			animation-delay: 1s;
		}
	}

	span {
		display: block;
		font-size: var(--fz24);
		font-weight: 700;
	}
}

/* #endregion */
/* #region Sub */
.sub {
	--first-element-margin: var(--px48);
	background: linear-gradient(to bottom, var(--white-95), var(--white-95)), url("https://ripcord.sirv.com/FiveStones/shutterstock_2396443.jpg?hue=-100") center/cover;
	color: var(--blue900-90);
	min-height: 50vh;
	padding-block: var(--px64) var(--px128);

	h1 {
		color: var(--blue900);
		font-size: var(--fz32);
		letter-spacing: var(--px02);
		text-align: center;
		text-transform: uppercase;
	}

	li + li {
		margin-top: var(--px12);
	}
}

/* #endregion */
/* #region Sub-Contact */
.sub-contact-info {
	margin-top: var(--first-element-margin);
	text-align: center;

	a {
		margin-top: var(--px16);
	}
}

/* #endregion */
/* #region Sub-Investments */
.sub-investments-grid {
	--col-min-width: 250px;
	display: grid;
	gap: var(--px16);
	grid-template-columns: repeat(auto-fit, minmax(min(100%, var(--col-min-width)), auto));
	justify-content: center;
	margin-top: var(--first-element-margin);

	a {
		background-color: white;
		border: var(--px02) solid var(--blue900-10);
		border-radius: var(--rad);
		box-shadow: var(--px01) var(--px01) var(--px06) var(--px01) var(--blue900-10);
		color: var(--blue900);
		padding: var(--px32);
		text-align: center;
		text-decoration: none;
		transition: var(--transition);

		&:hover {
			border-color: var(--blue900-30);
		}
	}

	img {
		margin: 0 auto var(--px16);
	}

	p {
		font-size: var(--fz14);
	}
}

/* #endregion */
/* #region Sub-Team */
.sub-team-credentials {
	margin-top: var(--px32);
}

.sub-team-grid {
	display: grid;
	gap: var(--px80) var(--px48);
	grid-template-columns: repeat(3, auto);
	margin-top: var(--first-element-margin);

	@media (width < 900px) {
		grid-template-columns: auto;
		margin-inline: auto;
		width: min(90%, 700px);
	}

	h2 {
		font-size: var(--fz24);
		font-weight: 700;
		margin-bottom: var(--px16);
		text-align: center;
	}

	p {
		font-size: var(--fz16);
	}
}

/* #endregion */